using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Digiclock
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            labelText.Text = DateTime.Now.ToLongTimeString();
            dt = "time";
        }

        private void toolStripMenuItem2_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void toolStripMenuItem1_Click(object sender, EventArgs e)
        {
            textBox1.Visible = true;
            textBox1.Focus();
            

        }

        private void textBox1_KeyPress(object sender, KeyPressEventArgs e)
        {
            if (e.KeyChar == 13)
            {
                textBox1.Visible = false;
                labelText.Text = textBox1.Text;
                dt = "";
            }

        }

        bool md = false;
        int msX, msY;
        int frmX, frmY;
        string dt = "";

        private void labelText_MouseDown(object sender, MouseEventArgs e)
        {
            md = true;
            msX = e.Location.X;
            msY = e.Location.Y;
            frmX = Form1.ActiveForm.Location.X;
            frmY = Form1.ActiveForm.Location.Y;



        }

        private void labelText_MouseUp(object sender, MouseEventArgs e)
        {
            md = false;
        }

        private void labelText_MouseMove(object sender, MouseEventArgs e)
        {
            if (md)
            {
                Point loc = new Point();
                frmX = Form1.ActiveForm.Location.X;
                frmY = Form1.ActiveForm.Location.Y;


                loc.X = frmX -(int)(0.2*(msX - e.Location.X));
                loc.Y = frmY-(int)(0.2*(msY - e.Location.Y));
                Form1.ActiveForm.Location = loc;
            }

        }

        private void clockTimeToolStripMenuItem_Click(object sender, EventArgs e)
        {
            dt = "time";
        }

        private void clockDateToolStripMenuItem_Click(object sender, EventArgs e)
        {
            dt = "date";
        }

        private void clockTimeAndDateToolStripMenuItem_Click(object sender, EventArgs e)
        {
            dt = "td";
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            switch (dt)
            {
                case "td": labelText.Text = DateTime.Now.ToString(); break;
                case "time": labelText.Text = DateTime.Now.ToLongTimeString(); break;
                case "date": labelText.Text = DateTime.Now.ToShortDateString(); break;
            }

        }

        private void fontToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (fontDialog1.ShowDialog() == DialogResult.OK)
            {
                labelText.Font = fontDialog1.Font;
            }
        }

        private void colorToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (colorDialog1.ShowDialog() == DialogResult.OK)
            {
                labelText.ForeColor = colorDialog1.Color;
            }
        }

        private void stayOnTopToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (stayOnTopToolStripMenuItem.Checked)
                Form.ActiveForm.TopMost = true;
            else
                Form.ActiveForm.TopMost = false;

        }
    }
}